@ECHO OFF

echo.
echo Setting autoconfiguration for SDA installer

set SRC_PROPERTIES_FILE="%CD%\SIERRA_DESKTOP_APP_RUN.properties"
set DEST_PROPERTIES_FILE="%TMP%\SIERRA_DESKTOP_APP_RUN.properties"

echo.
echo Using variables:
echo SRC_PROPERTIES_FILE - %SRC_PROPERTIES_FILE%
echo DEST_PROPERTIES_FILE - %DEST_PROPERTIES_FILE%

:STEP_1 //check if source properties file found
echo.
echo Checking if autoconfiguration properties file exists %SRC_PROPERTIES_FILE%...
if exist %SRC_PROPERTIES_FILE% (
	echo Source config file exists
	goto STEP_2
) else (
	echo Source config file does not exist. Check if you`ve successfully extracted archive and location of SIERRA_DESKTOP_APP_RUN.properties in the same directory as this script
	goto SCRIPT_SHUTDOWN
)

:STEP_2 //check if destination properties file found
echo.
echo Checking if autoconfiguration properties files has already been added to be used by installer...
if exist %DEST_PROPERTIES_FILE% (
	echo Properties have already been set to be used by installer in %DEST_PROPERTIES_FILE%
	echo Properties will be overrided!!!
	goto STEP_3
) else (
	echo No previous installer autoconfiguration files found
	goto STEP_3
)

:STEP_3 //copying property file in temp directory
echo.
echo Copying file to be used by SDA installer...
echo Copying %SRC_PROPERTIES_FILE% to %DEST_PROPERTIES_FILE%
COPY %SRC_PROPERTIES_FILE% %DEST_PROPERTIES_FILE%
if ERRORLEVEL 1 (
	echo Unexpected error happened during copying file
	echo Try to relaunch script or to copy file %SRC_PROPERTIES_FILE% to %DEST_PROPERTIES_FILE% manually
	GOTO SCRIPT_SHUTDOWN
) else (
	echo All operations have been executed succesfully. SDA installer autoconfiguration is done
	echo Note: Autoconfiguration could be removed by the system in some time
	goto START_INSTALLER
)

:START_INSTALLER
echo.
echo Starting SDA installer...
install.exe
if ERRORLEVEL 1 (
	echo Unexpected error happened during launching installer
	echo Note: If you cancel installation you can try to launch it directly, but autoconfiguration files could be lost
	GOTO SCRIPT_SHUTDOWN
) else (
	echo It seems to be that SDA has been succesfully installed
	echo To close this script just press any key...
	pause
	goto:eof
)

:SCRIPT_SHUTDOWN
echo Program is ready to shutdown. Autoconfiguration of installer is failed. Press any key...
pause
goto:eof